#include <string.h>
#include "defines.h"
#include "doslibm.h"

unchar *exename(unchar *argv0)
/* argv[0]=実行プログラムフルパス名からプログラム名だけを取り出す */
{
_NAMESTBUF nb;
static unchar path[18+1];
int i=0;
	NAMESTS(argv0,&nb);
	// とりあえずファイル名作成
	for (i=0;i<8;i++) path[i]=nb.name1[i];
	for (i=0;i<10;i++) path[i+8]=nb.name2[i];
	// 後ろのスペースを削除
	i=18-1;
	while (path[i]==' ') i--;
	path[i]=0;
	return(path);
}

#if 0
#include <stdio.h>
void main(int argc,unchar *argv[])
{
	printf("%s\n",exename(argv[0]));
}
#endif
